Update Recovery runbook with input site
Update Recovery runbook with input site
Path Parameters
- runbookId int32 required
Recovery runbook id
- application/json
Request Body required
site object
id int32name string- resetRepaveOption boolean
Reset existing repave options on resources
- resetStaticIPAddress boolean
Reset existing static ip configurations on resources
- resetNetworkOptions boolean
Reset existing network options on resources
Responses
- 200
- 400
- 500
Recovery runbook successfully updated with requested site.
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Invalid request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal server error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...